#!/usr/bin/env python3.4

import socket
import sys

def connect(server):
    ai_list = socket.getaddrinfo(server, "http")
    err = None
    s = None
    for (family, socktype, proto, canonname, sockaddr) in ai_list:
        try:
            s = socket.socket(family, socktype, proto)
            s.connect(sockaddr)
        except Exception as e:
            err = e
            if s:
                s.close()
        else:
            break
    else:
        raise err
    return s

def wget(server):
    s = connect(server)
    if s:
        with s.makefile(mode='w') as f:
            f.write("GET / HTTP/1.0\r\nHost: %s\r\n\r\n" % (server))
        with s.makefile(mode='r') as f:
            for l in f.readlines():
                print(l.strip())

for arg in sys.argv[1:]:
    wget(arg)
